# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global pre alpha9

Name:           cgkit
Version:        2.0.0
Release:        0.1.%{pre}%{?dist}
Summary:        Python Computer Graphics Kit

Group:          Development/Languages
License:        MPL1.1 or GPLv2+ or LGPLv2+
URL:            http://cgkit.sourceforge.net
Source0:        http://downloads.sourceforge.net/cgkit/cgkit-%{version}%{?pre}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  scons

BuildRequires:  boost-devel
BuildRequires:  cegui-devel
BuildRequires:  lib3ds-devel
BuildRequires:  libGLU-devel
#BuildRequires:  irrlicht-devel
#BuildRequires:  OpenSceneGraph-devel
#BuildRequires:  ogre-devel
BuildRequires:  xerces-c-devel



%description
Python Computer Graphics Kit.


%prep
%setup -q -n %{name}-%{version}%{?pre}
cat > config.cfg <<EOF
LIB3DS_AVAILABLE = True
CYBERX3D_AVAILABLE = False
#OGRE_AVAILABLE = True
#IRR_AVAILABLE = True
#OSG_AVAILABLE = True
THREEDXWARE_AVAILABLE = False
WINTAB_AVAILABLE = False
GLOVESDK_AVAILABLE = False
GLOVESDK_BASE = None
BOOST_BASE = None
BOOST_LIB = "boost_python"
USING_STLPORT = False
CYBERX3D_PATH = None
CYBERX3D_LIB = "cx3d"
CYBERX3D_XERCES_LIB = "xerces-c"
XERCES_PATH = None
#INC_DIRS += [ "%{_includedir}/OGRE" ]
EOF


%build
pushd supportlib
cp -p cpp_config_template.cfg cpp_config.cfg
echo "CCFLAGS = \"cflags.split()\"" >> cpp_config.cfg
CCFLAGS="$RPM_OPT_FLAGS" scons
popd
CCFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build



%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc changelog.txt license.txt README.txt
%{_bindir}/convert3d.py*
%{_bindir}/info3d.py*
%{_bindir}/postbake.py*
%{_bindir}/render.py*
%{_bindir}/viewer.py*
%{_bindir}/seq??.py*
%{python_sitearch}/cgkit/
%{python_sitearch}/cgkit-*.egg-info


%changelog
* Mon Nov 30 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 2.0.0-0.1.alpha9
- Update to alpha9

* Tue Jan 27 2009 kwizart < kwizart at gmail.com > - 2.0.0-0.1.alpha8
- Intial package

